Bug 85072 - Escape sequence vulnerabilities in hanterm-xf
Summary: Escape sequence vulnerabilities in hanterm-xf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: hanterm-xf   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Joo
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-25 11:10 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-08 19:44:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:071 normal SHIPPED_LIVE Moderate: hanterm-xf security update 2003-07-08 04:00:00 UTC

Description Mark J. Cox 2003-02-25 11:10:58 UTC
Hangul Terminal provides an escape sequence for reporting the current
window title which essentially takes the current title and places it
directly on the command line. An attacker can craft an escape sequence
that sets the window title of a victim using Hangul Terminal to an
arbitrary command and then report it to the command line. Since it is not
possible to embed a carriage return into the window title the attacker
would then have to convince the victim to press Enter for it to process the
title as a command, although the attacker could craft other escape
sequences that might convince the victim to do so.

It is possible to lock up Hangul Terminal before version 2.0.5 by sending
an invalid DEC UDK escape sequence. 

CAN-2003-0077 CAN-2003-0079

Comment 1 Mark J. Cox 2003-07-08 19:44:19 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-071.html



Note You need to log in before you can comment on or make changes to this bug.